org.apache.tinkerpop.gremlin.jsr223.console

## Class RemoteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tinkerpop.gremlin.jsr223.console.RemoteException

- All Implemented Interfaces:
    Serializable

      public class RemoteException
      extends Exception

  A mapper `Exception` to be thrown when there are problems with processing a command given to a `RemoteAcceptor`. The message provided to the exception will be displayed to the user in the Console.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteException(String message)`
    `RemoteException(String message, String remoteStackTrace)`
    `RemoteException(String message, Throwable cause)`
    `RemoteException(String message, Throwable cause, String remoteStackTrace)`
    `RemoteException(Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getRemoteStackTrace()` The stacktrace produced by the remote server.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteException

          public RemoteException(String message)

    - #### RemoteException

          public RemoteException(String message,
                                 String remoteStackTrace)

    - #### RemoteException

          public RemoteException(String message,
                                 Throwable cause)

    - #### RemoteException

          public RemoteException(String message,
                                 Throwable cause,
                                 String remoteStackTrace)

    - #### RemoteException

          public RemoteException(Throwable cause)

  - ### Method Detail

    - #### getRemoteStackTrace

          public Optional<String> getRemoteStackTrace()

      The stacktrace produced by the remote server.

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.